#
# spec file for package xrefresh
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xrefresh
Version:        1.0.5
Release:        7.4
Summary:        Utility to refresh all or part of an X screen
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Source1:        xrefresh.desktop
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xrefresh is a simple X program that causes all or part of your screen
to be repainted. This is useful when system messages have messed up
your screen.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file -i -u xrefresh Utility DesktopUtility

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xrefresh
%{_datadir}/applications/xrefresh.desktop
%{_mandir}/man1/xrefresh.1%{?ext_man}

%changelog
* Tue May 21 2013 zaitor@opensuse.org
- Update to version 1.0.5:
  + Use strcasecmp if available, instead of downcasing string
    before strcmp.
  + Fix implicit sign conversion & integer size truncation
    warnings.
  + Combine usage message strings.
  + Mark Syntax() with _X_NORETURN to silence gcc warning.
  + Add const qualifiers to structs for mapping strings to values.
  + Add const qualifiers to fix gcc -Wwrite-strings warnings.
  + Properly fallback on CWBackPixmap = None when failing to parse
    or allocate a solid color.
  + Fix allocateded typo in comment.
  + config: move man pages into their own directory.
  + man: remove trailing spaces and tabs.
- Add pkgconfig(xproto) BuildRequires: configure now checks for it.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xrefresh from xorg-x11. Initial version: 1.0.4.
